﻿using System;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware;
using SecretLabs.NETMF.Hardware.NetduinoPlus;
using HttpLibrary;

namespace HttpServerExample
{
    public class Program
    {
        private static HttpServer Server;//server object
        private static OutputPort LedPin;//led pin (onboared)

        public static void Main()
        {
            LedPin = new OutputPort(Pins.ONBOARD_LED, false);
            Server = new HttpServer(80, 100, 256, @"\SD");//initialize server with sd card as a storage device
            Server.OnServerError += new OnErrorDelegate(Server_OnServerError);
            Server.Start();
            Debug.Print("IP ADDRESS OBTAINED : " + Server.ObtainedIp);

            while (true)
            {
                LedPin.Write(true);
                Thread.Sleep(100);
                LedPin.Write(false);
                Thread.Sleep(100);
            }

        }

        static void Server_OnServerError(object sender, OnErrorEventArgs e)
        {
            Debug.Print(e.EventMessage);
        }

    }
}
